• Register
  • Help
Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Topic: GPO 4 Mac System Requirements

Share/Bookmark
  1. #1

    GPO 4 Mac System Requirements

    At http://www.garritan.com/products_gpo4.html the System Requirements say:

    "2.8 Ghz Core 2 Duo MacIntel or better for Mac"

    Surely this is not right? It's much higher than any previous version of GPO, and vastly higher than the PC requirements (2.8 Ghz CPU Pentium 4 or better -- a 2.8 GHz P4 is of course dramatically slower than even a 2 GHz Core 2 Duo).

    Apple only very recently released 2.8 GHz Core 2 Duo MacBook Pros, and those are the absolute top-of-the line portable machines. Regular (non-"Pro") MacBooks currently top out at a 2.53 GHz Core 2 Duo.

    Did the system requirements on the Mac side just get much, much steeper, or is this a typo?

  2. #2
    Moderator
    Join Date
    Oct 2000
    Location
    Orcas Island
    Posts
    11,454

    Re: GPO 4 Mac System Requirements

    Quote Originally Posted by Thad View Post
    At http://www.garritan.com/products_gpo4.html the System Requirements say:

    "2.8 Ghz Core 2 Duo MacIntel or better for Mac"

    Surely this is not right? It's much higher than any previous version of GPO, and vastly higher than the PC requirements (2.8 Ghz CPU Pentium 4 or better -- a 2.8 GHz P4 is of course dramatically slower than even a 2 GHz Core 2 Duo).

    Apple only very recently released 2.8 GHz Core 2 Duo MacBook Pros, and those are the absolute top-of-the line portable machines. Regular (non-"Pro") MacBooks currently top out at a 2.53 GHz Core 2 Duo.

    Did the system requirements on the Mac side just get much, much steeper, or is this a typo?
    thad,

    Probably a typo. 2.0 Core Duo should be more than enough. Actually I am running GPO ARIA on a 1.6 ghz netbook.

    Best wishes,

    Gary

  3. #3

    Re: GPO 4 Mac System Requirements

    Great, Gary, thanks for the clarification. If memory serves, 2.0 GHz Core 2 Duo was the previous requirement for GPO on an Intel Mac.

  4. #4

    Re: GPO 4 Mac System Requirements

    Ah, I see this question has come up before:

    http://www.northernsounds.com/forum/...ad.php?t=68324

    David Viens's answer is:

    "I use a 1.78 GHz Dual Core Mac Book Pro (first models) to develop ARIA.

    Any MacIntel works fine."

    You should definitely correct that info on the GPO4 page!

  5. #5

    Re: GPO 4 Mac System Requirements

    I was a bit shocked at the Mac requirements too!
    Hopefully the info on the main page will be changed soon to stop sharp intakes of breath all over the world!

    I guess I'm pushing my luck with a G5 2.0 Dual?

    Time to save for a new computer....
    Trilian, GPO 4, JABB, EZDrummer, Superior Drums, Logic 9, and too many guitars.

  6. #6

    Re: GPO 4 Mac System Requirements

    Quote Originally Posted by Kwackman View Post
    I was a bit shocked at the Mac requirements too!
    Hopefully the info on the main page will be changed soon to stop sharp intakes of breath all over the world!

    I guess I'm pushing my luck with a G5 2.0 Dual?
    Dual 2.0 G5 here too. I thought Aria engine was supposed to be more efficient than the NI player??

    Time to save for a new computer....
    Not me. Not in this economy.

    Anyway.... what's up with G5 support? Yeah or ney?

  7. #7

    Re: GPO 4 Mac System Requirements

    Quote Originally Posted by qbert View Post
    Dual 2.0 G5 here too. I thought Aria engine was supposed to be more efficient than the NI player??
    In terms of raw horse power, yes, a dual G5 is more than powerful enough for ARIA.
    However PPC is a very different architecture and is not officially supported by Garritan.

    It works fine for most of us, but there's no guarantee that it will run flawlessly on every PPC system.
    David Viens, Plogue Art et Technologie Inc.
    Montreal. http://www.plogue.com

  8. #8

    Re: GPO 4 Mac System Requirements

    Quote Originally Posted by David (plogue) View Post
    It works fine for most of us, but there's no guarantee that it will run flawlessly on every PPC system.
    Thanks for the reply. Are there any reports of it not working properly on a PPC system?

  9. #9
    Senior Member rpearl's Avatar
    Join Date
    Jan 2005
    Location
    Baltimore
    Posts
    1,904

    Re: GPO 4 Mac System Requirements

    I have a G5 1.8 ghz, 2G RAM Mac. I
    have run GPO (not GPO4) on it for four years simultaneously with Sibelius just fine. I realize the PPC is no longer officially supported, but are you saying that GPO4 is significantly more CPU intensive than earlier versions? That's not unreasonable - but I guess the questions is whether or not what I have will work.

    Or is the $49 upgrade just the tip of the upgrade iceberg? New computer?

    Sigh...
    Ron Pearl

    Website:

    ronaldmpearl.com

    myspace:

    http://myspace.com/rmpearl

  10. #10

    Re: GPO 4 Mac System Requirements

    Quote Originally Posted by rpearl View Post
    I realize the PPC is no longer officially supported, but are you saying that GPO4 is significantly more CPU intensive than earlier versions?
    Despite early claims that GPO4 would be much more efficient on the CPU than the Kontakt player, this does appear to be the case.

    I guess I'll stay put with my current set-up for the foreseeable future.

    Looking forward to hearing more GPO4 G5 reports, however...

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •